//
//  FavProtocols.swift
//  UpaxMovie
//
//  Created Imo on 01/03/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import Foundation

//MARK: Presenter -> Router
protocol FavWireframeProtocol: AnyObject {
    func close()
}

//MARK: View -> Presenter
protocol FavPresenterProtocol: AnyObject {
    var interactor: FavInteractorInputProtocol? { get set }
    
    func close()
}

//MARK: Interactor -> Presenter
protocol FavInteractorOutputProtocol: AnyObject {
    
}

//MARK: Presenter -> Interactor
protocol FavInteractorInputProtocol: AnyObject {
    var presenter: FavInteractorOutputProtocol?  { get set }
}

//MARK: Presenter -> View
protocol FavViewProtocol: AnyObject {
    var presenter: FavPresenterProtocol?  { get set }
}
